curl -X PATCH https://api.vozagent.ai/v1/contacts/c1a2b3c4... \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"company": "Updated Company",
"notes": "Follow up next week"
}'
{
"id": "c1a2b3c4-d5e6-f7a8-b9c0-d1e2f3a4b5c6",
"first_name": "John",
"last_name": "Doe",
"email": "john@example.com",
"phone_number": "+15551234567",
"company": "Updated Company",
"notes": "Follow up next week",
"updated_at": "2024-01-15T11:00:00Z"
}
Contacts
Update Contact
Update an existing contact.
PATCH
/
v1
/
contacts
/
{id}
curl -X PATCH https://api.vozagent.ai/v1/contacts/c1a2b3c4... \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"company": "Updated Company",
"notes": "Follow up next week"
}'
{
"id": "c1a2b3c4-d5e6-f7a8-b9c0-d1e2f3a4b5c6",
"first_name": "John",
"last_name": "Doe",
"email": "john@example.com",
"phone_number": "+15551234567",
"company": "Updated Company",
"notes": "Follow up next week",
"updated_at": "2024-01-15T11:00:00Z"
}
Retrieve your API Key from your VozAgent Dashboard.
Path parameters
string
required
The unique identifier of the contact to update.
Body parameters
string
Contact’s first name.
string
Contact’s last name.
string
Contact’s email address.
string
Company or business name.
string
Additional notes about the contact.
Response
Returns the updated contact object.curl -X PATCH https://api.vozagent.ai/v1/contacts/c1a2b3c4... \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"company": "Updated Company",
"notes": "Follow up next week"
}'
{
"id": "c1a2b3c4-d5e6-f7a8-b9c0-d1e2f3a4b5c6",
"first_name": "John",
"last_name": "Doe",
"email": "john@example.com",
"phone_number": "+15551234567",
"company": "Updated Company",
"notes": "Follow up next week",
"updated_at": "2024-01-15T11:00:00Z"
}
Was this page helpful?

